Retail Documentation
  1. Stores
Retail Documentation
  • Events
    • Register For Events
      POST
  • NewsLetters
    • Get All Subcribers
      GET
    • Add New Subcribers
      POST
    • Send Mails To Subscribers
      POST
  • Stores
    • Get All Stores
      GET
    • Update Store
      PUT
    • Delete Store
      DELETE
    • Get Specific Store
      GET
    • Search Store
      POST
    • Add A New Store
      POST
  • Gives / Dontation
    • Get All Gives
      GET
    • Add A Give
      POST
  • Payment Gateway
    • Make Payment
      POST
  • Blog
    • Get All Blogs
      GET
    • Update Blog
      PUT
    • Get A Specific Blog
      GET
    • Delete Blog
      DELETE
    • Create New Blog
      POST
  • Admin
    • Admin Login
      POST
    • Admin Signup
      POST
    • Logout
      GET
  • Communities
    • Join Our Comunities
      POST
    • List of Users In Our Communities
      GET
  • Praise Report Form
    • Insert New Praise Form
    • Get All Praise Report Form
  • Welcome Section
    GET
  • Contact Us
    POST
  1. Stores

Get All Stores

GET
/store

Request

None

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/store'
Response Response Example
{
    "message": "QUERY_SUCCESS",
    "status": true,
    "count": 5,
    "query": [
        {
            "_id": "62c30125eb5e9e0b89819543",
            "youtubeLink": "https://www.youtube.com/watch?v=1bumPyvzCyo",
            "title": "testing",
            "message": "Okdakdaljkfdajklfdal kjfdjakl fjkdal fldafa",
            "author": "Abdullah",
            "file": "https://myfirstfirebase-c3bc4.appspot.com.storage.googleapis.com/1657383210166.pdf",
            "audio": "https://myfirstfirebase-c3bc4.appspot.com.storage.googleapis.com/1657383210233.mp3",
            "createdAt": "2022-07-04T15:03:01.972Z",
            "updatedAt": "2022-08-08T13:14:45.547Z",
            "__v": 0,
            "amount": "200",
            "payable": false
        },
        {
            "_id": "62c7a5c7db64ecdd850224e2",
            "youtubeLink": "https://youtube.com/watch?v=KYq0dzMUs0E",
            "title": "Tesiting",
            "message": "alkdjalf dajlkfdj alfkdj alfjkd alkfjdlafk dlaf",
            "author": "Micheal",
            "file": "https://myfirstfirebase-c3bc4.appspot.com.storage.googleapis.com/1657251264106.pdf",
            "audio": "https://myfirstfirebase-c3bc4.appspot.com.storage.googleapis.com/1657251266211.mp3",
            "createdAt": "2022-07-08T03:34:31.802Z",
            "updatedAt": "2022-07-08T03:34:31.802Z",
            "__v": 0
        },
        {
            "_id": "62c9982789cd44a4c347c28d",
            "youtubeLink": "https://youtube.com/watch?v=KYq0dzMUs0E",
            "title": "Faith with Percistence",
            "message": "Pnuema life exist to build a people who are Christ centered and Spirit driven, taught to know God for themselves, Influencing individuals, cities and nations with the light of the glorious gospel as ambassadors of the kingdom",
            "author": "Abdullah",
            "file": "https://myfirstfirebase-c3bc4.appspot.com.storage.googleapis.com/1657378846625.pdf",
            "audio": "https://myfirstfirebase-c3bc4.appspot.com.storage.googleapis.com/1657378847735.mp3",
            "createdAt": "2022-07-09T15:00:55.712Z",
            "updatedAt": "2022-07-09T15:00:55.712Z",
            "__v": 0
        },
        {
            "_id": "62c998d66b915e5ecfacf4d7",
            "youtubeLink": "https://youtube.com/watch?v=KYq0dzMUs0E",
            "title": "Faith with Percistence  3",
            "message": "Pnuema life exist to build a people who are Christ centered and Spirit driven, taught to know God for themselves, Influencing individuals, cities and nations with the light of the glorious gospel as ambassadors of the kingdom",
            "author": "Abdullah",
            "file": "https://myfirstfirebase-c3bc4.appspot.com.storage.googleapis.com/1657379021976.pdf",
            "audio": "https://myfirstfirebase-c3bc4.appspot.com.storage.googleapis.com/1657379022873.mp3",
            "createdAt": "2022-07-09T15:03:50.633Z",
            "updatedAt": "2022-07-09T15:03:50.633Z",
            "__v": 0
        },
        {
            "_id": "62e9f1fa879dff4f5a2539c1",
            "youtubeLink": "https://www.youtube.com/watch?v=1bumPyvzCyo",
            "title": "testing",
            "message": "Okdakdaljkfdajklfdal kjfdjakl fjkdal fldafa",
            "author": "Abdullah",
            "file": "https://myfirstfirebase-c3bc4.appspot.com.storage.googleapis.com/1659499543158.pdf",
            "payable": false,
            "amount": "200",
            "audio": "https://myfirstfirebase-c3bc4.appspot.com.storage.googleapis.com/1659499543204.mp3",
            "image": "https://myfirstfirebase-c3bc4.appspot.com.storage.googleapis.com/1659499548619.mp3",
            "createdAt": "2022-08-03T03:56:42.828Z",
            "updatedAt": "2022-08-03T04:06:18.911Z",
            "__v": 0
        }
    ]
}
Modified at 2026-03-12 11:22:01
Previous
Send Mails To Subscribers
Next
Update Store
Built with